Name: lout
Version: 3.26
Release: alt1

Summary: The Lout document formatting language
License: GPL
Group: Text tools
Url: http://www.ptc.spbu.ru/~uwe/lout/

Source: %name-%version.tar.bz2
Source1: %name-mode.el
Source2: fontdefs.ld
Patch: lout-3.26-alt-makefile.patch
Patch1: lout-3.26-alt-urw.patch
Requires: urw-fonts >= 2.0-alt9
BuildPreReq: emacs

%description
Lout is a high-level language for document formatting.  Lout reads a
high-level description of a document (similar in style to LaTeX) and can
produce a PostScript(TM) file for printing or produce plain text.
Lout supports the typesetting of documents which contain floating
figures, table, diagrams, rotated and scaled text or graphics, footnotes,
running headers, footers, an index, a table of contents and bibliography,
cross-references, mathematical equations and statistical graphs.  Lout can
be extended with definitions that should be easier to write than other
languages, since Lout is a high-level language.  Lout supports (with
hyphenation) a variety of languages:  Czech, Danish, Dutch, English,
Finnish, French, German, Norwegian, Russian, Slovenian, Spanish and
Swedish.

Install the lout package if you'd like to try the Lout document formatting
system.  Unless you're already a Lout expert, you'll probably want to also
install the lout-doc package, which contains the documentation for Lout.

%package doc
Summary: The documentation for the Lout document formatting language
Group: Text tools

%description doc
The lout-doc package includes all of the documentation for the Lout
document formatting language.  The documentation includes manuals for
regular users and for experts, written in Lout and available as
PostScript(TM) files.  The documentation provides good examples for how to
write large documents with Lout.

If you're installing the lout package, you should install the lout-doc
package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

cp %SOURCE2 data

%build
%make_build RPM_OPT_FLAGS="$RPM_OPT_FLAGS"  FONT_DIR="/usr/share/fonts/default/Type1" lout prg2lout

%install
mkdir -p $RPM_BUILD_ROOT%prefix/{bin,lib}
mkdir -p $RPM_BUILD_ROOT%_datadir/{locale,man/man1,doc}

%make DESTDIR=$RPM_BUILD_ROOT DATADIR=%_datadir install installman installdoc

# emacs
mkdir -p $RPM_BUILD_ROOT%_emacslispdir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_emacslispdir
emacs -batch -f batch-byte-compile $RPM_BUILD_ROOT%_emacslispdir/%name-mode.el

install -d $RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d/%name.el
(autoload 'lout-mode "lout-mode" "Major mode for editing Lout text" t)
   (setq auto-mode-alist
      (append '(("\\.lout\\'" . lout-mode)) auto-mode-alist))
EOF

%files
%doc blurb README maillist whatsnew notes.dsc
%_bindir/*
%_mandir/man?/*
%_libdir/%name
%exclude %_libdir/%name/font
%_emacslispdir/*

%files doc
%doc doc/

%changelog
* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 3.26-alt1
- 3.26
- real adaptation for urw-fonts. Previous author made a lot of hacks

* Sun Nov 25 2001 Dmitry Smirnov <dvsmirnov@comail.ru> 3.24-alt1
- adapted to urw-fonts
- added emacs mode

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com>
- rebuild
- url

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- updated to 3.24
- merge patches
- remove useless manual stripping
- add more macros
- clean spec

* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com>
- rebuild with %doc and _mandir macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix group
- fix files section

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 7)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- no more gcc on sparc, so don't optimize instead (same egcs bug?)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root
- use gcc on sparc to avoid egcs bug

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
